package org.code_blue.dmxcremote.v2;


import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.view.Window;

public class TabHost extends TabActivity {
	@Override
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.tabs);
		Resources res=getResources();
		android.widget.TabHost tabHost=getTabHost();	//TabHost of activity
		android.widget.TabHost.TabSpec tabSpec;
		
		tabSpec=tabHost.newTabSpec("devices").setIndicator("Devices",res.getDrawable(R.drawable.icon)).setContent(new Intent(this,DeviceSelectionActivity.class));
	    tabHost.addTab(tabSpec);
	    
	    tabSpec=tabHost.newTabSpec("tests").setIndicator("Tests",res.getDrawable(R.drawable.icon)).setContent(new Intent(this,TestActivity.class));
	    tabHost.addTab(tabSpec);
	    
	    tabHost.setCurrentTab(1);
	}
}
